Página 1 de 1

Error conocido en Imgur 1.2.3

Publicado: 11 Abr 2019, 20:45
por AbaddonOrmuz
Existe un error conocido en la extensión Imgur en su versión 1.2.3 que hace que colocar el álbum de manera opcional, sea obligatorio.

Para corrregirlo habrá que hacer una pequeña modificación a una expresión regular:

Archivo: ext/alfredoramos/imgur/controller/acp.php
Buscar:

Código: Seleccionar todo

			'imgur_album' => [
				'filter' => FILTER_VALIDATE_REGEXP,
				'options' => [
					'regexp' => '#^[a-zA-Z0-9]{5,10}$#'
				]
			]
Remplazo:

Código: Seleccionar todo

			'imgur_album' => [
				'filter' => FILTER_VALIDATE_REGEXP,
				'options' => [
					'regexp' => '#^(?:[a-zA-Z0-9]{5,10})?$#'
				]
			]
Esto sólo sería necesario de haber actualizado desde una versión menor (por ejemplo, de 1.2.2) a 1.2.3, versiones posteriores incluirán esta corrección.

Lamento los inconvenientes que esto pudiera causar.

Error conocido en Imgur 1.2.3

Publicado: 11 Abr 2019, 21:40
por ThE KuKa
Gracias AbaddonOrmuz :clap:

Error conocido en Imgur 1.2.3

Publicado: 12 Abr 2019, 11:08
por HacK-TroY
se agradece!